> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://murf.ai/api/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://murf.ai/api/docs/_mcp/server.

# Murf MCP Server

Murf's MCP server allows you to harness the power of our generative AI voice technology directly within MCP-compatible clients, such as Claude Desktop.

This integration provides a seamless workflow for developers and creators to generate high-quality, lifelike speech for their projects. With access to over 150 voices in more than 35 languages and a wide array of speaking styles, you can bring your text to life without ever leaving your development environment.

### Key Features:

* **Seamless Integration**: Works directly with MCP clients.
* **Vast Voice Library**: Access to Murf's complete collection of AI voices.
* **Customization**: Control pitch, speed, and style to match your needs.

#### [murf-mcp](https://github.com/murf-ai/murf-mcp)

The official Murf MCP Server

---

## Installation

### Claude Desktop

#### Get your API key

Go to the [Murf API Dashboard](https://murf.ai/api/dashboard) and generate an API key.

#### Install \`uv\`

Install `uv` (Python package manager), install with:
**macOS:**

```bash
curl -LsSf https://astral.sh/uv/install.sh | sh
```

**Windows:**

```bash
powershell -ExecutionPolicy ByPass -c "irm https://astral.sh/uv/install.ps1 | iex"
```

Check out their [official guide](https://github.com/astral-sh/uv?tab=readme-ov-file#installation) for more details.

#### Setup MCP Server

There are two ways to proceed with the setup:

#### Option 1: Automated Setup (Recommended)

Run the following command to automatically configure Claude Desktop with the Murf MCP server.

```bash
uvx setup-murf-mcp-claude
```

#### Option 2: Manual Setup

If you prefer to configure manually, continue with the following steps:

* Update Claude Desktop Config to install murf, open the config file:
  Go to `Claude → Settings → Developer → Edit Config → claude_desktop_config.json`

  or
  if you have VS Code installed, run:

  **macOS:**

  ```bash
  code ~/Library/Application\ Support/Claude/claude_desktop_config.json
  ```

  **Windows:**

  ```bash
  code $env:AppData\Claude\claude_desktop_config.json
  ```

* This will open the config file, add the following lines to the `"mcpServers"` section:

  ```json
  "mcpServers": {
      "Murf":{
          "command": "uvx",
          "args": ["murf-mcp"],
          "env": {
              "MURF_API_KEY": "YOUR_MURF_API_KEY"
          }
      }
  }
  ```

* Install FFmpeg (required for audio processing):

  **macOS:**

  ```bash
  brew install ffmpeg
  ```

  **Windows:**
  Download FFmpeg from [here](https://www.ffmpeg.org/download.html)

#### Restart Claude Desktop

Restart the Claude Desktop app to start the MCP server, you should be able to see a small hammer icon in the chat input box. This indicates that the MCP server is running and tools are available.

> **Note**
>
> For Windows users, "Developer Mode" must be enabled in Claude Desktop to
> utilize the MCP server. To enable it, click the hamburger menu in the top-left
> corner, select "Help," and then choose "Enable Developer Mode."

## Usage

* Prompt the LLM to create a voiceover:
  For example:

  * Create a one-minute podcast on Generative AI featuring a conversation between two speakers. Choose suitable voice styles and accents, incorporate natural pauses, and generate a voiceover for it.

  * Create a 15-second introduction for my YouTube channel about indoor plants. Use a friendly and conversational tone to generate a voiceover for it.

  These should generate a voiceover and save it to file on your Desktop.

* You can also prompt the LLM to recommend a voice style for a specific use case. For example:

  * What is the best voice style for a YouTube video about indoor plants?
  * What is the best voice style for a podcast about Generative AI?

* The TTS API supports a variety of features such as rate, pitch and speed . You can explore these options [here](/api/docs/api-reference/text-to-speech/generate#request). You can prompt the LLM to apply these settings to the overall voiceover or tailor them individually for each speaker.

---

## Troubleshooting

If you encounter any issues, please check the following:

* `spawn uvx ENOENT` error:
  If you see a `spawn uvx ENOENT` error, it means the system can't locate the uvx executable. To fix this:

  * Run the following command to get the absolute path of `uvx`:
    ```bash
    which uvx
    ```
  * Update your `claude_desktop_config.json` file with the absolute path in the `command` field. For example:
    ```json
    "command": "/absolute/path/to/uvx"
    ```
  * Restart the Claude Desktop app.

* Check the logs for any other error messages or warnings here:
  * **macOS:** `~/Library/Logs/Claude/mcp-server-Murf.log`
  * **Windows:** `%APPDATA%\Claude\logs\mcp-server-Murf.log`